if [ ! -d doc ] ; then mkdir doc ; fi
if [ ! -d doc/ampi ] ; then mkdir doc/ampi ; fi
if [ ! -d doc/bluegene ] ; then mkdir doc/bluegene ; fi
if [ ! -d doc/charm++ ] ; then mkdir doc/charm++ ; fi
if [ ! -d doc/ck ] ; then mkdir doc/ck ; fi
if [ ! -d doc/converse ] ; then mkdir doc/converse ; fi
if [ ! -d doc/convext ] ; then mkdir doc/convext ; fi
if [ ! -d doc/f90charm ] ; then mkdir doc/f90charm ; fi
if [ ! -d doc/fem ] ; then mkdir doc/fem ; fi
if [ ! -d doc/install ] ; then mkdir doc/install ; fi
if [ ! -d doc/libraries ] ; then mkdir doc/libraries ; fi
